IntelliToolsettings Class Reference

The IntelliToolsettings class managing the settings of the tools, independent of an existing tool. More...

`#include <IntelliToolsettings.h>`

## Public Member Functions

| IntelliToolsettings ()
| IntelliToolsettings - basic constructor of the IntelliToolsettings, initializing the basics. More...
virtual | ~IntelliToolsettings ()
| ~IntelliToolsettings - basic destructor. More...
int | getLineWidth () const
| getLineWidth returns the width attribute of the line. More...
void | setLineWidth (int LineWidth)
| setLineWidth sets the width attribute of the line. More...
int | getInnerAlpha () const
| getInnerAlpha returns the inner alpha value. More...
void | setInnerAlpha (int innerAlpha)
| setInnerAlpha sets the inner alpha attribute of the Tool. More...

## Detailed Description

The IntelliToolsettings class managing the settings of the tools, independent of an existing tool.

Definition at line 9 of file IntelliToolsettings.h.

## Constructor & Destructor Documentation

## IntelliToolsettings()

IntelliToolsettings::IntelliToolsettings | ( |  | ) |

IntelliToolsettings - basic constructor of the IntelliToolsettings, initializing the basics.

Definition at line 4 of file IntelliToolsettings.cpp.

## ~IntelliToolsettings()

IntelliToolsettings::~IntelliToolsettings | ( |  | ) |

virtual

~IntelliToolsettings - basic destructor.

Definition at line 10 of file IntelliToolsettings.cpp.

## Member Function Documentation

## getInnerAlpha()

int IntelliToolsettings::getInnerAlpha | ( |  | ) | const

getInnerAlpha returns the inner alpha value.

Returns
  returns the inner alpha attribute as integer.

Definition at line 28 of file IntelliToolsettings.cpp.

## getLineWidth()

int IntelliToolsettings::getLineWidth | ( |  | ) | const

getLineWidth returns the width attribute of the line.

Returns
  returns the width attribute as integer.

Definition at line 14 of file IntelliToolsettings.cpp.

## setInnerAlpha()

void IntelliToolsettings::setInnerAlpha | ( | int | innerAlpha | ) |

setInnerAlpha sets the inner alpha attribute of the Tool.

Parameters

  innerAlpha | - the future inner alpha of the Tool.

Definition at line 32 of file IntelliToolsettings.cpp.

## setLineWidth()

void IntelliToolsettings::setLineWidth | ( | int | LineWidth | ) |

setLineWidth sets the width attribute of the line.

Parameters

  LineWidth | - the future width of the line

Definition at line 18 of file IntelliToolsettings.cpp.

The documentation for this class was generated from the following files:

- src/IntelliHelper/IntelliToolsettings.h
- src/IntelliHelper/IntelliToolsettings.cpp